Skip to main content
GET
/
api
/
v1
/
competitors
/
keywords-metrics
Visibility Gap - Domains Rankings
curl --request GET \
  --url https://api.shareofsearch.jplus.io/api/v1/competitors/keywords-metrics \
  --header 'Authorization: Bearer <token>'
[
  {
    "keyword_id": "<string>",
    "keyword_text": "<string>",
    "thematic_name": "<string>",
    "domains": {},
    "intent": [
      "<string>"
    ],
    "search_volume": 123,
    "trends": [
      123
    ],
    "search_interest_trends": [
      123
    ],
    "related_queries": [
      {
        "query": "<string>",
        "relevance": 123,
        "search_volume": 123,
        "trends": [
          123
        ],
        "intents": [
          "<string>"
        ]
      }
    ],
    "score": 123,
    "last_processed_at": "2023-11-07T05:31:56Z",
    "type": "<string>",
    "funnel_stage": "<string>",
    "topic": "<string>",
    "persona": "<string>",
    "strength": "<string>",
    "weakness": "<string>",
    "related_product": "<string>",
    "sub_brand": "<string>"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.shareofmodel.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

collect_id
string | null
collect_ids
string[] | null
filter_keywords
enum<string> | null
default:All
Available options:
All,
Common,
Absent,
Unexplored,
Exclusive,
Underperforming,
Outperforming
prev_collect_id
string | null
prev_collect_ids
string[] | null
persona_ids
string[] | null
topic_ids
string[] | null
funnel_stages
string[] | null
strength_ids
string[] | null
weakness_ids
string[] | null
related_product_ids
string[] | null
sub_brand_ids
string[] | null
perception_type
string | null
project_id
string
required

Project Id

client_id
string
required

Client id

sources
enum<string>[]
required

Sources

Available options:
Bing,
BingAIO,
ChatGPT,
Perplexity,
Google,
GoogleAIO,
GoogleAIMode,
Claude,
Gemini,
AmazonRufus
domains
string[] | null

Domains

thematics
string[]
required

Thematic

keyword_type
enum<string>[]
required

Keyword Type

Available options:
Generic,
Brand
competitor_types
enum<string>[] | null

Competitor Types

Available options:
BRANDED_WEBSITE,
COMMUNITY_HELP_CENTER,
COMPARISON_SITE,
GOVERNMENT_ACADEMIC,
INFLUENCER_CREATOR_BLOG,
NEWS_MEDIA,
PRODUCT_REVIEW_SITE,
QA_FORUM,
RETAIL_ECOMMERCE,
SPECIALIST_BLOG,
WIKI_ENCYCLOPEDIA,
UNKNOWN

Response

Successful Response

keyword_id
string
required
keyword_text
string
required
thematic_name
string
required
domains
Domains · object
required
intent
string[] | null
search_volume
integer | null
score
integer | null
last_processed_at
string<date-time> | null
type
string | null
funnel_stage
string | null
topic
string | null
persona
string | null
strength
string | null
weakness
string | null
sub_brand
string | null